% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mvBM.plotRate.R
\name{mvBM.plotRate}
\alias{mvBM.plotRate}
\title{Lineage-specific rate estimation using multiple variance Brownian motion}
\usage{
mvBM.plotRate(tree, tree_mvBM, branches, sigma2Distr, adjust, ...)
}
\arguments{
\item{tree}{an object of class "phylo".}

\item{tree_mvBM}{an object of class "phylo". The rescaled tree from an mvBM procedure.}

\item{branches}{vector listing the branch numbers ('edge' numbers) for which the mvBM rate should be computed}

\item{sigma2Distr}{the MCMC distribution of sigma2 from an MCMC mvBM procedure}
}
\value{
probability density distribution of mvBM rate
}
\description{
Plots lineage-specific rates using mvBM
}
\examples{
see https://smaerslab.com/software/ 
}
\references{
Smaers, Mongle & Kandler (2016) A multiple variance Brownian motion framework for estimating variable rates and inferring ancestral states. Biological Journal of the Linnean Society. 118 (1): 78-94.
}
